Categories:
  - Multimedia
License: GPL-3.0-only
SourceCode: https://github.com/yourealwaysbe/teacup
IssueTracker: https://github.com/yourealwaysbe/teacup/issues

AutoName: TeaCup
Summary: Configurable music widget
Description: |-
    Music widget primarily for the stock media player, but configurable for others
    (in theory, if you're expert).

    Can scrobble to Last FM. Select whether to connect on WiFi or on phone network;
    or cache when offline.

    Album art from embedded images, music file directory, or downloadable from Last
    FM. Can pre-fetch Last FM art for your music library.

RepoType: git
Repo: https://github.com/yourealwaysbe/teacup.git

Builds:
  - versionName: '1.0'
    versionCode: 1
    commit: a544fdbe5c043f37952cc5624d937cd6212cc1ef

  - versionName: '1.1'
    versionCode: 2
    commit: a288fbc41c

  - versionName: '1.2'
    versionCode: 3
    commit: v1.2

  - versionName: '1.3'
    versionCode: 4
    commit: v1.3

  - versionName: '1.5'
    versionCode: 6
    commit: v1.5

  - versionName: '1.6'
    versionCode: 7
    commit: v1.6

  - versionName: '1.7'
    versionCode: 8
    commit: v1.7
    target: android-17

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: '1.7'
CurrentVersionCode: 8
